%define pkg_name        XSLoader
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 1.n0i.1

Summary:       Dynamically load C libraries into Perl code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAPER/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.62

%global perl_filter_prov 'perl\\(DynaLoader\\)'


%description
This module defines a standard *simplified* interface to the dynamic linking
mechanisms available on many platforms. Its primary purpose is to implement
cheap automatic dynamic loading of Perl modules.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/*.pm
%{_mandir}/man3/*.3pm.*
%doc Changes eg/ README


%changelog
* Thu Aug 02 2007 Marius Feraru <altblue@n0i.net> - 0:0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.08
